Retail Documentation
  1. Stores
Retail Documentation
  • Events
    • Register For Events
      POST
  • NewsLetters
    • Get All Subcribers
      GET
    • Add New Subcribers
      POST
    • Send Mails To Subscribers
      POST
  • Stores
    • Get All Stores
      GET
    • Update Store
      PUT
    • Delete Store
      DELETE
    • Get Specific Store
      GET
    • Search Store
      POST
    • Add A New Store
      POST
  • Gives / Dontation
    • Get All Gives
      GET
    • Add A Give
      POST
  • Payment Gateway
    • Make Payment
      POST
  • Blog
    • Get All Blogs
      GET
    • Update Blog
      PUT
    • Get A Specific Blog
      GET
    • Delete Blog
      DELETE
    • Create New Blog
      POST
  • Admin
    • Admin Login
      POST
    • Admin Signup
      POST
    • Logout
      GET
  • Communities
    • Join Our Comunities
      POST
    • List of Users In Our Communities
      GET
  • Praise Report Form
    • Insert New Praise Form
    • Get All Praise Report Form
  • Welcome Section
    GET
  • Contact Us
    POST
  1. Stores

Add A New Store

POST
/store

Request

Body Params multipart/form-data

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/store' \
--form 'youtubeLink="youtube.com"' \
--form 'title="Tesdadfa 2"' \
--form 'message="dafdafdafda"' \
--form 'author="Abldullah"' \
--form 'file=@"null"' \
--form 'payable="false"' \
--form 'amount="2000"' \
--form 'audio=@""' \
--form 'datePreached="2022-10-09"' \
--form 'image=@""'
Response Response Example
{
    "msg": "STORE_CREATED_SUCCESSFULLY",
    "status": true,
    "message": {
        "youtubeLink": "youtube.com",
        "title": "Tesdadfa 2",
        "message": "dafdafdafda",
        "author": "Abldullah",
        "payable": false,
        "amount": "2000",
        "audio": "https://pneumalife-8eb76.appspot.com.storage.googleapis.com/1662675932220.mp3",
        "image": "https://pneumalife-8eb76.appspot.com.storage.googleapis.com/1662675936314.PNG",
        "datePreached": "2022-10-09T00:00:00.000Z",
        "_id": "631a6be356468af8e2519cab",
        "createdAt": "2022-09-08T22:25:39.160Z",
        "updatedAt": "2022-09-08T22:25:39.160Z",
        "__v": 0
    }
}
Modified at 2026-03-12 11:22:01
Previous
Search Store
Next
Get All Gives
Built with